public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gui-libs/aquamarine/
Date: Sun, 11 Aug 2024 02:44:58 +0000 (UTC)	[thread overview]
Message-ID: <1723344043.97d37543a995ca8ef709d78f88c02149822a1e9c.dlan@gentoo> (raw)

commit:     97d37543a995ca8ef709d78f88c02149822a1e9c
Author:     John M. Harris Jr. <johnmh <AT> johnmh <DOT> me>
AuthorDate: Sat Aug 10 05:23:02 2024 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 02:40:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97d37543

gui-libs/aquamarine: add 0.3.1

Signed-off-by: John M. Harris Jr. <johnmh <AT> johnmh.me>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 gui-libs/aquamarine/Manifest                |  1 +
 gui-libs/aquamarine/aquamarine-0.3.1.ebuild | 53 +++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/gui-libs/aquamarine/Manifest b/gui-libs/aquamarine/Manifest
index 648a4ccb8f16..572ffb67659e 100644
--- a/gui-libs/aquamarine/Manifest
+++ b/gui-libs/aquamarine/Manifest
@@ -1,2 +1,3 @@
 DIST aquamarine-0.1.1.tar.gz 70241 BLAKE2B 511e03fed61f970b6309f4cc630e6cfee9eabb4b2d95da27699aa9b38e8e20922847272c9bb4467fb59f428b7137196be2e31cf4e34ac0bb61df5e1520c6f27a SHA512 5e51db094d8a30b53f6bd0e8895039adb354f04428c49e6d1b6fdbbc13d9e8ee02d42da1f9d78bb495a0cd8e286888323a5dbdf663ae6df7495072ed6ab4abc2
 DIST aquamarine-0.2.0.tar.gz 71350 BLAKE2B d44df5f3785f381e86e05617741c114be5b3a29dda9995e84853c35753ddbac55f2f59ec4e1074829c2eb60439469b89eb0ffa6ebe98193d3bea2c975a033767 SHA512 2665ecb764f374f22a6cda88b6ede09e48ba76c245b9922a41daa13eed2c0eca51915a553829d4c9ee22d5b84c2ff9af6b8672908ad7c2f3d6d4838437c53de0
+DIST aquamarine-0.3.1.tar.gz 73065 BLAKE2B 9e66d6e6da33e62917b10b395ed1eb9ca6f721b38d787ccd6197f1b14af69cafba42994081d95b13f8dcc311b997d950a8070bca47097020bb4c80c91651b698 SHA512 78428d9571f90f424cb91fa1a1b262e1433fe3b8b2c7c7a1a8799f3346c2e2efa1fd3738903d08aeb776f5ff65f4fbe2ebc3eee1481c3a8067bf163d3cea6efb

diff --git a/gui-libs/aquamarine/aquamarine-0.3.1.ebuild b/gui-libs/aquamarine/aquamarine-0.3.1.ebuild
new file mode 100644
index 000000000000..f6ad41a30f68
--- /dev/null
+++ b/gui-libs/aquamarine/aquamarine-0.3.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Aquamarine is a very light linux rendering backend library"
+HOMEPAGE="https://github.com/hyprwm/aquamarine"
+
+if [[ "${PV}" = *9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/hyprwm/${PN^}.git"
+else
+	SRC_URI="https://github.com/hyprwm/${PN^}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+
+# Upstream states that the simpleWindow test is broken, see bug 936653
+RESTRICT="test"
+RDEPEND="
+	dev-libs/wayland
+	media-libs/mesa[opengl]
+	media-libs/libdisplay-info
+	>=dev-libs/libinput-1.26.1
+	>=dev-util/hyprwayland-scanner-0.4.0
+	>=gui-libs/hyprutils-0.1.5
+	x11-libs/cairo
+	x11-libs/libxkbcommon
+	x11-libs/libdrm
+	x11-libs/pango
+	x11-libs/pixman
+	virtual/libudev
+	sys-apps/hwdata
+	>=sys-auth/seatd-0.8.0
+"
+DEPEND="
+	${RDEPEND}
+	dev-libs/wayland-protocols
+"
+
+BDEPEND="
+	dev-util/wayland-scanner
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	sed -i "/add_compile_options(-O3)/d" "${S}/CMakeLists.txt" || die
+	cmake_src_prepare
+}


             reply	other threads:[~2024-08-11  2:45 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-11  2:44 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-29  0:11 [gentoo-commits] repo/gentoo:master commit in: gui-libs/aquamarine/ Yixun Lan
2024-12-27  5:48 Sam James
2024-12-27  0:50 Yixun Lan
2024-12-27  0:50 Yixun Lan
2024-11-17 10:15 Yixun Lan
2024-11-17 10:15 Yixun Lan
2024-10-24 17:58 Sam James
2024-10-17 11:40 Yixun Lan
2024-09-11  2:34 Yixun Lan
2024-09-11  2:34 Yixun Lan
2024-09-10 15:46 Jakov Smolić
2024-08-22 10:51 Yixun Lan
2024-08-22 10:51 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-08-11  2:44 Yixun Lan
2024-07-26  7:20 Yixun Lan
2024-07-25  0:06 Yixun Lan
2024-07-25  0:06 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1723344043.97d37543a995ca8ef709d78f88c02149822a1e9c.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox